package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.TagInfo;
import cn.com.ctop.common.module.model.TagInfoTreeModel;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 标签信息
 * @Author: jeecg-boot
 * @Date:   2020-08-26
 * @Version: V1.0
 */
public interface ITagInfoService extends IService<TagInfo> {

    List<TagInfoTreeModel> queryTreeList(String userId,Long CategoryId);

    TagInfo getByTagCode(String tagCode);

    List<TagInfo> getByParentId(Long id);

    List<TagInfo> getListByCode(JSONArray array);
}
